/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package databazevodnichzivocichu;

import java.io.*;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova@tul.cz>
 */
public class Hvezdice extends VodniZivocich {

    private int pocetRamen;

    public Hvezdice(int pocetZivocichu, String soubor, String latinskyNazev, String zdroj, String cenaCZK, String pocetRamen) {
        super(pocetZivocichu, soubor, latinskyNazev, zdroj, cenaCZK);
        try {
            this.pocetRamen = Integer.valueOf(pocetRamen);
        } catch (NumberFormatException e) {
            System.out.println("Chybný počet ramen \"" + pocetRamen + "\" na řádku " + pocetZivocichu + " v souboru \"" + soubor + "\".");
        }
    }

    public int getPocetRamen() {
        return pocetRamen;
    }

    public void setPocetRamen(int pocetRamen) {
        this.pocetRamen = pocetRamen;
    }

    @Override
    public String toString() {
        return super.toString() + ODDELOVAC_ATRIBUTU + pocetRamen;
    }

    @Override
    public void zapisZivocicha(BufferedWriter zapisovaniDoSouboru) throws IOException {
        zapisovaniDoSouboru.write(toString());
    }
}
