/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package databazevodnichzivocichu;

import java.util.*;
import java.io.*;

/**
 *
 * @author Dana Nejedlová <dana.nejedlova@tul.cz>
 */
public class Ruzne extends VodniZivocich {

    private static final HashMap<Integer, String> KATEGORIE_1 = new HashMap<>();
    private static final HashMap<String, Integer> KATEGORIE_2 = new HashMap<>();
    private String kategorieValue;

    public Ruzne(int pocetZivocichu, String soubor, String latinskyNazev, String zdroj, String cenaCZK, String kategorieValue) {
        super(pocetZivocichu, soubor, latinskyNazev, zdroj, cenaCZK);
        this.kategorieValue = kategorieValue;
        KATEGORIE_1.put(pocetZivocichu, kategorieValue);
        KATEGORIE_2.put(kategorieValue, pocetZivocichu);
    }

    public static HashMap<Integer, String> getKategorie1() {
        return KATEGORIE_1;
    }

    public static HashMap<String, Integer> getKategorie2() {
        return KATEGORIE_2;
    }

    public static void vypisKategorie1(HashMap<Integer, String> kategorie) {
        System.out.println("Všechny záznamy");
        for (Map.Entry<Integer, String> e : kategorie.entrySet()) {
            System.out.println(e.getKey() + " " + e.getValue());
        }
    }

    public static void vypisKategorie2(HashMap<String, Integer> kategorie) {
        System.out.println("Jedinečné hodnoty");
        for (Map.Entry<String, Integer> e : kategorie.entrySet()) {
            System.out.println(e.getValue() + " " + e.getKey());
        }
    }

    public String getKategorieValue() {
        return kategorieValue;
    }

    public void setKategorieValue(String kategorieValue) {
        this.kategorieValue = kategorieValue;
    }

    @Override
    public String toString() {
        return super.toString() + ODDELOVAC_ATRIBUTU + kategorieValue;
    }

    @Override
    public void zapisZivocicha(BufferedWriter zapisovaniDoSouboru) throws IOException {
        zapisovaniDoSouboru.write(toString());
    }
}
